# iFormBuilder API v8.1

> This is version `1.0.0` of this API documentation. Last update on Nov 19, 2026.
> The main advantage in this version (v81) is the ability to let users define the responses. By only requesting key information, you can more efficiently use resources instead of retrieving a full API feed, and parsing out unused fields.
> 
> This approach can be used with any resource that doesn't specify an ID, such as a list of elements or users.
> 
> The documentation is broken down into resource categories and you can see formatted code samples for various languages in the console on the right.
> 
> <a href = "https://zerion.my.site.com/helpcenter/s/article/APIVersionHistoryChangelog66b5bb04bf3b5" target="_blank" rel="noopener">Checkout our API Changelog and other documentation</a>.
> 
> ## Base URL to Make Requests
> 
> To make a request, the base URL will look something like <code>https://[region].iformbuilder.com/exzact/api/v81/[servername]</code>
> 
> The <b>region</b> is where your server is located.  The table below shows what the subdomain would be for each region.
> 
> <table>
> <thead>
> <tr>
> <th>Region</th>
> <th>Subdomain</th>
> </tr>
> </thead>
> <tbody>
> <tr>
> <td>United States</td>
> <td>api</td>
> </tr>
> <tr>
> <td>Australia</td>
> <td>au-api</td>
> </tr>
> <tr>
> <td>United Kingdom</td>
> <td>uk-api</td>
> </tr>
> <tr>
> <td>Hipaa</td>
> <td>hipaa-api</td>
> </tr>
> </tbody>
> </table>
> 
> For <b>servername</b>, you would use the subdomain used to access iFormBuilder.  For example, if you want to use the API for app.iformbuilder.com, the URL would like <code>https://api.iformbuilder.com/exzact/api/v81/app</code>
> 
> ## General Notes
> 
> <li><b>Most list based requests will return a maximum of 100 objects per request (Users, Assignments, Pages, Localizations, etc...) where as records and options will return up to 1000.</b></li>
> <li>Default response will be returned when invalid grammar is passed into the request.</li>
> <li>Field grammar can include filters (single or multiple conditions) and sort order.</li>
> 
> <h3><b>Using Parameters</b></h3>
> 
> <li>Parameters will allow you to refine the request and consist of the following:</li>
> <li><b>fields:</b> Allows you to specify which attributes are returned.  Filter and sort priority can be assigned to each field.  </li>
> <li><b>limit:</b> Allows you to specify how many results are returned.</li>
> <li><b>offset:</b> Allows you to specify number of results to skip.</li>
> <li><b>validate_grammar:</b>Returns an error for incorrect field grammar when set to true.</li>
> <li><b>all_fields:</b> When using list endpoints, setting this to 1 will return all fields for each object instead of just the defaul IDs.</li>
> <li><b>exclude:</b> Allows you to specific fields you don't want to return.</li>
> 
> <li>For example, this url would only provide the record ids.  <br><blockquote>https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/10978/pages/290749032/records</blockquote></li>
> <li>This example demonstrates returning first name, last name, age, and state.  This will also skip the first record only display 2 after that.  <br><blockquote>https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/10978/pages/290749032/records?<b>fields=first_name,last_name,residing_state,age&offset=1&limit=2</b></blockquote></li>
> <li>You can also specify which subform fields you want.  In this example, we will have a subform called 'children_subform' with some fields in it.  <br><blockquote>https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/10978/pages/290749032/records?<b>fields=first_name,last_name,residing_state,age,children_subform[child_name,child_age,child_height]&offset=1&limit=2</b></blockquote></li>
> 
> ## Rate Limiting
> 
> <li>To help protect the integrity of our system, we implemented rate limiting.  When reaching our limit, the status code will be a 429 and the body will be <code>{"error_message": "API rate limit exceeded"}</code></li>
> <li>The limit is set to 100 calls per minute per endpoint.  This means that you can send 100 requests a minute to both pages and user endpoints.  However, making multiple calls to different resources in the same endpoint will be added to same total.  Meaning, if you make 50 calls for <code>/pages/12345/records</code> and 50 calls to <code>/pages/98765/records</code> in a minute, you have reached the limit.
> <li>Feel free to contact us if the limits are affecting your workflow.</li>
> 
> ## Sorting Fields
> 
> <li>To sort by column(s), there are three components:</li>
> <li><b>Column:</b> The field you want to sort by</li>
> <li><b>Operator:</b> These consist of < (ascending) and  > (descending)</li>
> <li><b>Sort Priority:</b>  When sorting by multiple columns, you set priority by designating a number after the operator.</li>
> <li>In this example, age has first priority in ascending order followed by first name in descending order. <br><blockquote> https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/10978/pages/290749032/records?<b>fields=first_name:>2,age:&lt;1 </b> </blockquote></li>
> 
> ## Filtering Fields
> 
> <p>Adding filters will narrow down your request output or input.  This can be used with both GET and PUT requests.<br>
> <b>GET:</b> Will return any data that meets your filter’s rules.<br>
> <b>PUT:</b> Instead of updating a specific record, update many records that match the filter.  For example, changing everyone who is now over 18 from child to an adult.</p>
> 
> <li><b>Three Components of Filtering</b></li>
> <li><b>Column:</b> The field you want to filter</li>
> <li><b>Operator:</b> These consist of <, <=, >, >=, =, ~, and !=</li>
> <li><b>Value:</b>The value you are basing your filter on.  Boolean values can be passed in either as true and false, or 0 and 1.</li>
> 
> ## Examples
> 
> <li>Get everyone who is between 18 AND 65 (Note: the '&' symbol may need to be url encoded which is '%26') <br><blockquote><b>age((>="18")&(<="65"))</b></blockquote></br> or encoded<blockquote><b>age((>="18")%26(<="65"))</b></blockquote></li>
> <li>Get everyone that is younger than 18 OR older than 65 <br><blockquote><b>age((>="18")|(<="65"))</blockquote></b></li>
> <li>Get all first names that start with 'K' <br><blockquote><b>first_name(~"K%")</blockquote></b></li>
> <li>Get all last names that end with 'son' <br><blockquote> <b>last_name(~"%son")</b></blockquote></li>
> <li>Get all middle names that contain 'mit' <br><blockquote> <b>middle_name(~"%mit%")</b></blockquote></li>
> <li>Get everyone who is not the age of 23<br><blockquote> <b>age(!="23")</b></blockquote></li>
> <li>Now combining 4 examples above in a URL.<br><blockquote>https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/10978/pages/290749032/records?fields=<b>age((>="18")|(<="65")),first_name(~"K%"),last_name(~"%son"),middle_name(~"%mit%")</b></blockquote></li>
> <li><b>Note:</b> If trying to filter a field that is <b>like</b> a certain value that starts with a number, you have url encode the '%' symbol, otherwise the api will fail.  If you wanted to search for a value that starts with 12 for exmaple:<br><blockquote>https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/10978/pages/290749032/records?fields=length(~"<b>%25</b>12")</blockquote></li>
> 
> <li><b>Filter Multiple Fields with</b></li>
> <li>To search a value inside multiple fields, you can use dashes to search multiple columns of the same value.  For example,</li>
> <li>Get all first names OR last names that start with 'K' <br><blockquote><b>first_name-last_name(~"K%")</blockquote></b></li>
> 
> <li><b>Searching Multiple Specific Values</b></li>
> <li>This will allow you to pass in multiple specifc values you want the query to return.  Form example,</li>
> <li>Get both records for ids 12345 AND 98765 <br><blockquote><b>id(="12345"|="98765")</blockquote></b></li>
> 
> ## Request Access Token for Using API
> 
> <li>Every request, except the token request itself, needs an access token sent as <code>Authorization: Bearer {access_token}</code>. A token grants access to any resource its user can access and expires after 3600 seconds.</li>
> <li>Get a token from <code>POST /oauth/token</code> (<code>https://api.iformbuilder.com/exzact/api/v81/[servername]/oauth/token</code>) using one of the supported OAuth 2.0 grant types: <b>JWT bearer</b> (<code>urn:ietf:params:oauth:grant-type:jwt-bearer</code>, recommended for API apps), <b>password</b>, <b>authorization_code</b> or <b>refresh_token</b>. See <b>Token Resource &gt; Request Access Token</b> for the parameters of each flow.</li>
> <li>For a walkthrough of creating an API app (client key and secret) and generating a token, see <a href = "https://zerion.my.site.com/helpcenter/s/article/APIWhataretheAPIAppsStartHere66b5e66b876e5" target="_blank" rel="noopener">Generating Access Token</a>.</li>

[Documentation](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81.md)

OpenAPI file: https://apidocs.zerionsoftware.com/doc/iformbuilder-v81.yaml

## [Servers](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/servers.md)
- https://api.iformbuilder.com/exzact/api/v81/[servername]: https://api.iformbuilder.com/exzact/api/v81/[servername]


## Topics

### [Authentication](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/authentication.md)


## Endpoints

### [Token Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-token-resource.md)

- [Request Access Token](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-request-access-token.md)

- [Inspect Token Attributes](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-inspect-token-attributes.md)


### [Public Link Session Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-public-link-session-resource.md)

- [Start Public Link Session](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-start-public-link-session.md)

- [Get Public Link Session Form](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-get-public-link-session-form.md)

- [Create Public Link Session Record](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-public-link-session-record.md)


### [Profile Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-profile-resource.md)

- [Retrieve a Profile](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-profile.md)

- [Update a Profile](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-profile.md)

- [Retrieve Company Info](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-company-info.md)

- [Update Company Info](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-company-info.md)

- [Retrieve a List of Profiles](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-profiles.md)

- [Create a New Profile](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-a-new-profile.md)

- [Retrieve Folder Icons](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-folder-icons.md)

- [Create Folder Icons](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-folder-icons.md)

- [Delete Folder Icons](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-folder-icons.md)


### [API Client Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-api-client-resource.md)

- [Retrieve a List of API Clients](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-api-clients.md)

- [Create an API Client](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-an-api-client.md)

- [Retrieve an API Client](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-an-api-client.md)

- [Update an API Client](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-an-api-client.md)

- [Delete an API Client](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-an-api-client.md)

- [Reset an API Client Secret](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-reset-an-api-client-secret.md)


### [User Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-user-resource.md)

- [Retrieve a User](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-user.md)

- [Update a User](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-user.md)

- [Delete a User](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-user.md)

- [Retrieve a List of Users](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-users.md)

- [Update a List of Users](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-list-of-users.md)

- [Create New Users](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-users.md)

- [Delete a List of Users](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-users.md)

- [Retrieve User Groups for a Specific User](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-user-groups-for-a-specific-user.md)

- [Retrieve a Page Assignment with Page/User ID](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-page-assignment-with-page-user-id.md)

- [Update a Page Assignment with Page/User ID](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-page-assignment-with-page-user-id.md)

- [Delete a Page Assignment with Page/User ID](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-page-assignment-with-page-user-id.md)

- [Retrieve a List of Page Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-user-page-assignments.md)

- [Update a List of Page Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-list-of-user-page-assignments.md)

- [Create New Page Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-user-page-assignments.md)

- [Delete a List of Page Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-user-page-assignments.md)

- [Retrieve the Signed-in User's Access to a Page](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-the-signed-in-user-s-access-to-a-page.md)

- [Retrieve a Record Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-user-record-assignment.md)

- [Delete a Record Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-user-record-assignment.md)

- [Retrieve a List of Record Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-user-record-assignments.md)

- [Create New Record Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-user-record-assignments.md)

- [Delete a List of Record Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-user-record-assignments.md)

- [Retrieve a List of WebForms Browsers](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-webforms-browsers.md)

- [Register a WebForms Browser](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-register-a-webforms-browser.md)

- [Delete a List of WebForms Browsers](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-webforms-browsers.md)

- [Delete a WebForms Browser](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-webforms-browser.md)


### [User Group Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-user-group-resource.md)

- [Retrieve a User Group](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-user-group.md)

- [Update a User Group](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-user-group.md)

- [Delete a User Group](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-user-group.md)

- [Retrieve a List of User Groups](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-user-groups.md)

- [Create New User Groups](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-user-groups.md)

- [Retrieve a User Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-user-assignment.md)

- [Delete a User Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-user-assignment.md)

- [Retrieve a List of User Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-user-assignments.md)

- [Create New User Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-user-assignments.md)

- [Delete a List of User Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-user-assignments.md)

- [Retrieve a Page Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-user-group-page-assignment.md)

- [Update a Page Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-user-group-page-assignment.md)

- [Delete a Page Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-user-group-page-assignment.md)

- [Retrieve a List of Page Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-user-group-page-assignments.md)

- [Update a List of Page Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-list-of-user-group-page-assignments.md)

- [Create New Page Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-user-group-page-assignments.md)

- [Delete a List of Page Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-user-group-page-assignments.md)


### [Page Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-page-resource.md)

- [Retrieve a Page](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-page.md)

- [Update a Page](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-page.md)

- [Copy a Page](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-copy-a-page.md)

- [Delete a Page](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-page.md)

- [Retrieve a List of Pages](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-pages.md)

- [Create a New Page](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-a-new-page.md)

- [Retrieve a List of Page Statuses](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-page-statuses.md)

- [Retrieve the page feed](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-the-page-feed.md)

- [Retrieve a Page Localization](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-page-localization.md)

- [Update a Page Localization](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-page-localization.md)

- [Delete a Page Localization](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-page-localization.md)

- [Retrieve a List of Page Localizations](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-page-localizations.md)

- [Update a List of Page Localizations](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-list-of-page-localizations.md)

- [Create New Page Localizations](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-page-localizations.md)

- [Delete a List of Page Localizations](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-page-localizations.md)

- [Retrieve a Page Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-page-assignment.md)

- [Update a Page Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-page-assignment.md)

- [Delete a Page Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-page-assignment.md)

- [Retrieve a List of Page Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-page-assignments.md)

- [Update a List of Page Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-list-of-page-assignments.md)

- [Create New Page Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-page-assignments.md)

- [Delete a List of Page Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-page-assignments.md)

- [Retrieve Page Record Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-page-record-assignments.md)

- [Delete Page Record Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-page-record-assignments.md)

- [Retrieve a Page HTTP Callback](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-page-http-callback.md)

- [Update a Page HTTP Callback](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-page-http-callback.md)

- [Delete a Page HTTP Callback](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-page-http-callback.md)

- [Retrieve a List of Page HTTP Callbacks](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-page-http-callbacks.md)

- [Create New Page HTTP Callbacks](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-page-http-callbacks.md)

- [Delete a List of Page HTTP Callbacks](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-page-http-callbacks.md)

- [Retrieve a List of Page Email Alerts](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-page-email-alerts.md)

- [Create New Page Email Alerts](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-page-email-alerts.md)

- [Delete a List of Page Email Alerts](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-page-email-alerts.md)

- [Retrieve Page Email Alert Settings](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-page-email-alert-settings.md)

- [Update Page Email Alert Settings](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-page-email-alert-settings.md)

- [Triggers POST Action](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-triggers-post-action.md)

- [Retrieve a List of a Shared Page Entries](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-a-shared-page-entries.md)

- [Update a Shared Page Entry](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-shared-page-entry.md)

- [Create New Share Page](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-share-page.md)

- [Delete a Shared Page Entry](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-shared-page-entry.md)

- [Retrieve a Page Dynamic Attribute](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-page-dynamic-attribute.md)

- [Update an Page Dynamic Attribute](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-an-page-dynamic-attribute.md)

- [Delete an Page Attribute](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-an-page-attribute.md)

- [Retrieve a List of Page Dynamic Attributes](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-page-dynamic-attributes.md)

- [Update a List of Page Dynamic Attributes](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-list-of-page-dynamic-attributes.md)

- [Create New Page Attribute](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-page-attribute.md)

- [Delete a List of Page Dynamic Attributes](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-page-dynamic-attributes.md)

- [Update Charset](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-charset.md)

- [Retrieve a Field Index](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-field-index.md)

- [Create a New Field Index](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-a-new-field-index.md)

- [Delete a Field Index](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-field-index.md)

- [Restore Deleted Media](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-restore-deleted-media.md)

- [Retrieve a List of Public Links](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-public-links.md)

- [Update Public Links](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-public-links.md)

- [Create Public Links](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-public-links.md)

- [Delete Public Links](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-public-links.md)


### [Page Group Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-page-group-resource.md)

- [Retrieve a Page Group](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-page-group.md)

- [Update a Page Group](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-page-group.md)

- [Delete a Page Group](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-page-group.md)

- [Retrieve a List of Page Groups](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-page-groups.md)

- [Create New Page Group](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-page-group.md)

- [Retrieve a Page Group Page Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-page-group-page-assignment.md)

- [Assign Page to Page Group](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-assign-page-to-page-group.md)

- [Delete Page from Page Group](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-page-from-page-group.md)

- [Retrieve a Page Group User Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-page-group-user-assignment.md)

- [Update a Page Group User Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-page-group-user-assignment.md)

- [Delete a Page Group User Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-page-group-user-assignment.md)

- [Retrieve a List of Page Group User Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-page-group-user-assignments.md)

- [Update a List of Page Group User Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-list-of-page-group-user-assignments.md)

- [Delete a List of Page Group's User Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-page-group-s-user-assignments.md)

- [Create New Page Group Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-page-group-assignments.md)


### [Element Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-element-resource.md)

- [Retrieve an Element](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-an-element.md)

- [Update an Element](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-an-element.md)

- [Copy an Element](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-copy-an-element.md)

- [Delete an Element](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-an-element.md)

- [Retrieve a List of Elements](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-elements.md)

- [Update a List of Elements](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-list-of-elements.md)

- [Create New Elements](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-elements.md)

- [Delete a List of Elements](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-elements.md)

- [Retrieve an Element Localization](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-an-element-localization.md)

- [Update an Element Localization](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-an-element-localization.md)

- [Delete a Element Localization](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-element-localization.md)

- [Retrieve a List of Element Localizations](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-element-localizations.md)

- [Update a List of Element Localizations](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-list-of-element-localizations.md)

- [Create New Element Localizations](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-element-localizations.md)

- [Delete a List of Element Localizations](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-element-localizations.md)

- [Retrieve an Element Dynamic Attribute](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-an-element-dynamic-attribute.md)

- [Update an Element Dynamic Attribute](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-an-element-dynamic-attribute.md)

- [Delete an Element Attribute](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-an-element-attribute.md)

- [Retrieve a List of Element Dynamic Attributes](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-element-dynamic-attributes.md)

- [Update a List of Element Dynamic Attributes](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-list-of-element-dynamic-attributes.md)

- [Create New Element Attribute](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-element-attribute.md)

- [Delete a List of Element Dynamic Attributes](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-element-dynamic-attributes.md)


### [Optionlist Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-optionlist-resource.md)

- [Retrieve an Optionlist](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-an-optionlist.md)

- [Update an Optionlist](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-an-optionlist.md)

- [Copy an Optionlist](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-copy-an-optionlist.md)

- [Delete an Optionlist](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-an-optionlist.md)

- [Retrieve a List of Optionlists](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-optionlists.md)

- [Create New a New Optionlist](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-a-new-optionlist.md)

- [Retrieve an Option](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-an-option.md)

- [Update an Option](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-an-option.md)

- [Delete an Option](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-an-option.md)

- [Retrieve a List of Options](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-options.md)

- [Update a List of Options](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-list-of-options.md)

- [Create New Options](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-options.md)

- [Delete a List of Options](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-options.md)

- [Retrieve a Option Localization](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-option-localization.md)

- [Update a Option Localization](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-option-localization.md)

- [Delete a Option Localization](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-option-localization.md)

- [Retrieve a List of Option Localizations](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-option-localizations.md)

- [Update a List of Option Localizations](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-list-of-option-localizations.md)

- [Create New Option Localizations](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-option-localizations.md)

- [Delete a List of Option Localizations](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-option-localizations.md)


### [Record Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-record-resource.md)

- [Retrieve a Record](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-record.md)

- [Update a Record](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-record.md)

- [Copy a Record](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-copy-a-record.md)

- [Delete a Record](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-record.md)

- [Retrieve a List of Records](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-records.md)

- [Update a List of Records](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-a-list-of-records.md)

- [Create New Records](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-records.md)

- [Delete a List of Records](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-records.md)

- [Retrieve a Record Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-record-assignment.md)

- [Delete a Record Assignment](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-record-assignment.md)

- [Delete Record Media](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-record-media.md)

- [Retrieve a List of Record Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-record-assignments.md)

- [Create New Record Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-new-record-assignments.md)

- [Delete a List of Record Assignments](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-a-list-of-record-assignments.md)


### [Notification Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-notification-resource.md)

- [Send Notifications](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-send-notifications.md)


### [Private Media Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-private-media-resource.md)

- [Get Media](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-get-media.md)


### [Media Storage Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-media-storage-resource.md)

- [Initiate Media Storage Connection](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-initiate-media-storage-connection.md)

- [List Media Storage Connections](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-list-media-storage-connections.md)

- [Create Media Storage Connection](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-media-storage-connection.md)

- [List Shared Media Storage Connections](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-list-shared-media-storage-connections.md)

- [Delete Media Storage Connection](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-media-storage-connection.md)

- [Set Active Media Storage Location](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-set-active-media-storage-location.md)

- [List SharePoint Sites](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-list-sharepoint-sites.md)


### [Device License Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-device-license-resource.md)

- [Retrieve a Device License](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-device-license.md)

- [Retrieve a List of Device Licenses](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-list-of-device-licenses.md)


### [Device Transaction Log Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-device-transaction-log-resource.md)

- [Retrieve a Device Transaction Log](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-a-device-transaction-log.md)


### [Async Transaction Log Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-async-transaction-log-resource.md)

- [Retrieve an Async Transaction Log](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-an-async-transaction-log.md)

- [Retrieve an Async Transaction Log Daily Summary](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-an-async-transaction-log-daily-summary.md)


### [Mapbox Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-mapbox-resource.md)

- [Retrieve Mapbox Settings](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-mapbox-settings.md)

- [Update Mapbox Settings](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-mapbox-settings.md)

- [Retrieve Profile Map Views](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-mapbox-profile-map-views.md)

- [List Profiles with Map Views](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-list-mapbox-map-view-profiles.md)

- [Retrieve Profile Map View Settings](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-mapbox-profile-map-view-settings.md)

- [Update Profile Map View Settings](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-mapbox-profile-map-view-settings.md)


### [Email Settings Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-email-settings-resource.md)

- [Retrieve Email Settings](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-email-settings.md)

- [Update Email Settings](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-update-email-settings.md)

- [Restore Default SMTP](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-restore-default-email-smtp.md)


### [Usage Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-usage-resource.md)

- [Retrieve Usage](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-usage-report.md)


### [Branding Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-branding-resource.md)

- [Retrieve Branding Colors](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-branding-colors.md)

- [Upload Branding Image](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-upload-branding-image.md)


### [Server Features Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-server-features-resource.md)

- [Retrieve Server Features](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-retrieve-server-features.md)


### [ArcGIS Integration Resource](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/group/endpoint-arcgis-integration-resource.md)

- [Start ArcGIS Connection](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-start-arcgis-connection.md)

- [Get ArcGIS Connection](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-get-arcgis-connection.md)

- [Create ArcGIS Connection](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-create-arcgis-connection.md)

- [Delete ArcGIS Connection](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-delete-arcgis-connection.md)

- [List ArcGIS Forms](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-list-arcgis-forms.md)

- [List ArcGIS Feature Layers](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-list-arcgis-feature-layers.md)

- [Import ArcGIS Feature Layer](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-import-arcgis-feature-layer.md)

- [Link Form to ArcGIS Feature Layer](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-link-form-to-arcgis-feature-layer.md)

- [Unlink Form from ArcGIS Feature Layer](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-unlink-form-from-arcgis-feature-layer.md)

- [Get ArcGIS Publish Status](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-get-arcgis-publish-status.md)

- [Publish Form as ArcGIS Feature Layer](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/operation/operation-publish-form-as-arcgis-feature-layer.md)




## Changelog

- [Changelog](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/changes.md)
- [Changelog index (llms.txt)](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/changes/llms.txt)

[Powered by Bump.sh](https://bump.sh)
